admin_delete_external_auth_provider
DELETE
/api/v1/admin/external-auth/providers/{id}
const url = 'https://example.com/api/v1/admin/external-auth/providers/1';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use std::str::FromStr;use reqwest;
#[tokio::main]pub async fn main() { let url = "https://example.com/api/v1/admin/external-auth/providers/1";
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("Authorization", "Bearer <token>".parse().unwrap());
let client = reqwest::Client::new(); let response = client.request(reqwest::Method::from_str("DELETE").unwrap(), url) .headers(headers) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request DELETE \ --url https://example.com/api/v1/admin/external-auth/providers/1 \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer format: int64
External auth provider ID
Responses
Section titled “Responses”External auth provider deleted
Unauthorized
Forbidden
External auth provider not found